package com.iden.bms.face;

import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.Async;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;

/**
 * 定时读取目录下图片，调用人脸识别引擎，把特征码入库
 */
@Configuration
@EnableScheduling
@EnableAsync
public class FaceIdenSchedule {
    @Async
    @Scheduled(cron = "0 0/10 0 * * ?")
    public void updateComputeTrafficToFinish() {
        try {
            //大于两天的话单日志默认已计算
            koalaOutCallDao.updateComputeTrafficToFinish();
        } catch (Exception e) {
            e.getMessage();
        }
    }
}
